Bug 7987 - xtrans socket address is missing null byte suffix
Summary: xtrans socket address is missing null byte suffix
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/xtrans (show other bugs)
Version: unspecified
Hardware: x86 (IA32) All
: high normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xorg-7.4 15677
  Show dependency treegraph
 
Reported: 2006-08-24 16:06 UTC by Alp Toker
Modified: 2008-04-25 13:18 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alp Toker 2006-08-24 16:06:49 UTC
The socket address used in unix domain socket connections should include a null
byte suffix, and additionally this should be counted and included in the socket
address length. Thus the length will be the length of the path plus two for the
address family plus one for the null suffix.

This behaviour is documented in unix(7) on my system and in Stevens (Unix
Network Programming, Vol 1).

(Background: This came to my attention when I was experimenting with abstract
sockets on Linux. In abstract domain sockets, the null byte is a prefix to the
path _instead_ of a suffix, and must of course be counted.)
Comment 1 Daniel Stone 2007-02-27 01:33:20 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 2 James Cloos 2008-04-25 13:17:41 UTC
I believe commit 960902584a3ef125946beb5ebe331b54d697e9d9 (from bug #15677) has fixed this, too.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.